Skip to content

Register sender for project
GA

Request

Triggers sender registration with the requested method. An OTP code will be sent over the requested method that will need to be used in the Verify sender endpoint.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Sender register data

methodstring(WhatsappSenderInputRegistrationMethod)required

Registration Method of the sender.

Enum:"SMS""VOICE"

Example body request to register.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}/register' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "method": "SMS"
  }'

Responses

Bodyapplication/json
idstringrequired

The unique ID of the sender.

methodstring(WhatsappSenderRegistrationMethod)required

Registration Method of the sender.

Enum:"SMS""VOICE""UNRECOGNIZED"
acceptedstringrequired

The UTC Date Time in ISO 8601 for when the sender was accepted.

verificationCodeSentbooleanrequired

Whether the verification code has been sent.

Response

Response when successfully register a sender.

{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "method": "SMS", "accepted": "2023-01-19T13:11:08.204Z", "verificationCodeSent": true }
We'd love to hear from you!
Rate this content: